.label-rating {
	display: flex;
	align-items: center;
	height: 24px;
	padding: 0 4px 0 3px;
	background: linear-gradient(90deg, #FFCC00 0%, #FF9500 100%),
	linear-gradient(180deg, #FFCC00 0%, #FF9500 100%),
	#FFCC00;
	border-radius: 12px;
}

.label-rating__icon {
	display: block;
	width: 18px;
	height: 18px;
	margin-right: 2px;
	fill: #ffffff;
}

.label-rating__number {
	font-size: 16px;
	line-height: 20px;
	font-weight: 500;
	color: #ffffff;
}

/* Buttons */

.partner-button {
	position: relative;

	display: flex;
	align-items: center;
	justify-content: center;

	height: 50px;
	padding: 0 16px;

	font-size: 14px;
	line-height: 20px;
	text-align: center;
	font-weight: 600;
	white-space: nowrap;
	border-radius: 12px;
	border: none;
	transition: all ease .1s;
}

.partner-button.loading::after {
	top: 50%;
	left: 50%;
	margin-left: -10px;
	margin-top: -10px;
	font-size: 2px;
	border-top-color: var(--azure-radiance-400);
	border-right-color: var(--azure-radiance-400);
}

.partner-button__inside {
	display: flex;
	align-items: center;
	gap: 8px;
}

.partner-button__content {
	display: flex;
	flex-direction: column;
}

.partner-button__label {
	font-size: 10px;
	line-height: 12px;
	text-transform: uppercase;
}

.partner-button--partner {
	color: #ffffff;
	background-color: #CD171F;
	border: 0;
}

.partner-button--partner:hover {
	background-color: #FF0000;
}

.partner-button--additional {
	color: #ffffff;
	background-color: #34C759;
	text-transform: uppercase;
	border: 0;
}

.partner-button--additional:hover {
	background-color: #13E748;
}

.partner-button--promocode {
	position: relative;
	text-align: left;
	color: #fff;
	background-color: var(--azure-radiance-500);
	border: none;
}

.partner-button--promocode:hover {
	background-color: var(--azure-radiance-600);
}

.partner-button--partner:before,
.bonus-btn .bonus-btn__text:before {
	content: "";
	display: block !important;
	position: absolute;
	bottom: -24px;
	right: -12px;
	width: 45px;
	height: 45px;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='58' height='58' fill='none'%3E%3Cg clip-path='url(%23a)' filter='url(%23b)'%3E%3Cpath fill='%23fff' d='M46.077 37.203c2.03 1.106 1.48 2.879.36 4.608-1.586 2.447-7.473 5.099-10.04 5.05-2.363-.054-4.028-1.147-3.988-3'/%3E%3Cpath stroke='%23000' stroke-linecap='round' stroke-linejoin='round' d='M46.077 37.203c2.03 1.106 1.48 2.879.36 4.608-1.586 2.447-7.473 5.099-10.04 5.05-2.363-.054-4.028-1.147-3.988-3'/%3E%3Cpath fill='url(%23c)' d='M13.494 40.707c.144 3.875 7.178 1.531 9.112.713 2.33-.971 8.966 3.113 13.373 2.062 2.985-.716 8.826-3.677 9.977-6.32 1.983-4.506 1.827-8.785.286-13.271-.547-1.589-1.286-3.328-2.272-4.55-4.127-5.093-7.42-3.187-8.813-2.649-2.173-2-5.988-2.158-9.303.745-1.765-2.99-2.743-4.897-4.14-7.889-2.335-5.006-9.808 1.165-5.225 8.715 2.301 3.79 7.697 9.29 8.422 15.629-6.515-1.168-11.691-.233-11.417 6.815Z'/%3E%3Cpath fill='%23fff' d='M13.494 40.707c.144 3.875 7.178 1.531 9.112.713 2.33-.971 8.966 3.113 13.373 2.062 2.985-.716 8.826-3.677 9.977-6.32 1.983-4.506 1.827-8.785.286-13.271-.547-1.589-1.286-3.328-2.272-4.55-4.127-5.093-7.42-3.187-8.813-2.649-2.173-2-5.988-2.158-9.303.745-1.765-2.99-2.743-4.897-4.14-7.889-2.335-5.006-9.808 1.165-5.225 8.715 2.301 3.79 7.697 9.29 8.422 15.629-6.515-1.168-11.691-.233-11.417 6.815Z'/%3E%3Cpath stroke='%23000' stroke-linecap='round' stroke-linejoin='round' d='M13.494 40.707c.144 3.875 7.178 1.531 9.112.713 2.33-.971 8.966 3.113 13.373 2.062 2.985-.716 8.826-3.677 9.977-6.32 1.983-4.506 1.827-8.785.286-13.271-.547-1.589-1.286-3.328-2.272-4.55-4.127-5.093-7.42-3.187-8.813-2.649-2.173-2-5.988-2.158-9.303.745-1.765-2.99-2.743-4.897-4.14-7.889-2.335-5.006-9.808 1.165-5.225 8.715 2.301 3.79 7.697 9.29 8.422 15.629-6.515-1.168-11.691-.233-11.417 6.815v0Z'/%3E%3Cpath fill='%23000' d='M25.179 17.584c1.667 2.868 3.287 4.909 6.236 6.13-1.753-1.415-4.115-4.95-5.398-7.297l-.838 1.167ZM35.286 15.927l-.825 1.033c1.44 1.248 3.055 2.671 4.446 3.1-.723-.553-2.518-3.018-3.62-4.133Z'/%3E%3Cpath stroke='%23000' stroke-linecap='round' stroke-linejoin='round' d='M43.257 36.255c-.12-3.403-.5-4.192-.804-5.808M40.59 37.72c-1.05-3.614-1.878-5.226-2.797-7.571M37.369 39.393c-1.054-2.379-1.762-3.389-2.577-4.822'/%3E%3C/g%3E%3Cdefs%3E%3ClinearGradient id='c' x1='16.437' x2='36.655' y1='8.914' y2='43.932' gradientUnits='userSpaceOnUse'%3E%3Cstop stop-color='%23FFCF72'/%3E%3Cstop offset='1' stop-color='%23BB7B00'/%3E%3C/linearGradient%3E%3CclipPath id='a'%3E%3Cpath fill='%23fff' d='M0 0h58v58H0z'/%3E%3C/clipPath%3E%3Cfilter id='b' width='48.956' height='54.126' x='5.984' y='3.236' color-interpolation-filters='sRGB' filterUnits='userSpaceOnUse'%3E%3CfeFlood flood-opacity='0' result='BackgroundImageFix'/%3E%3CfeColorMatrix in='SourceAlpha' result='hardAlpha' values='0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0'/%3E%3CfeOffset dy='3'/%3E%3CfeGaussianBlur stdDeviation='3.5'/%3E%3CfeColorMatrix values='0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.57 0'/%3E%3CfeBlend in2='BackgroundImageFix' result='effect1_dropShadow_4373_1052'/%3E%3CfeBlend in='SourceGraphic' in2='effect1_dropShadow_4373_1052' result='shape'/%3E%3C/filter%3E%3C/defs%3E%3C/svg%3E");
	background-repeat: no-repeat;
	background-position: center;
	background-size: contain;
	z-index: 1;
}

.partner-button--partner + .partner-button--promocode:before {
	display: none !important;
}

.bonus-btn .bonus-btn__text:before {
	bottom: -24px;
	right: 15px;
}

.partner-button--promocode:after {
	content: "";
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.partner-button--promocode .partner-button__inside:after {
	flex-shrink: 0;
	content: "";
	display: block;
	width: 20px;
	height: 20px;
	background-repeat: no-repeat;
	background-size: 20px;
	background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTYuNjY2NjkgNi42NjY2OVY0LjMzMzM1QzYuNjY2NjkgMy4zOTk5MyA2LjY2NjY5IDIuOTMzMjIgNi44NDgzNCAyLjU3NjdDNy4wMDgxMyAyLjI2MzEgNy4yNjMxIDIuMDA4MTMgNy41NzY3IDEuODQ4MzRDNy45MzMyMiAxLjY2NjY5IDguMzk5OTMgMS42NjY2OSA5LjMzMzM1IDEuNjY2NjlIMTUuNjY2N0MxNi42MDAxIDEuNjY2NjkgMTcuMDY2OCAxLjY2NjY5IDE3LjQyMzMgMS44NDgzNEMxNy43MzY5IDIuMDA4MTMgMTcuOTkxOSAyLjI2MzEgMTguMTUxNyAyLjU3NjdDMTguMzMzNCAyLjkzMzIyIDE4LjMzMzQgMy4zOTk5MyAxOC4zMzM0IDQuMzMzMzVWMTAuNjY2N0MxOC4zMzM0IDExLjYwMDEgMTguMzMzNCAxMi4wNjY4IDE4LjE1MTcgMTIuNDIzM0MxNy45OTE5IDEyLjczNjkgMTcuNzM2OSAxMi45OTE5IDE3LjQyMzMgMTMuMTUxN0MxNy4wNjY4IDEzLjMzMzQgMTYuNjAwMSAxMy4zMzM0IDE1LjY2NjcgMTMuMzMzNEgxMy4zMzM0TTQuMzMzMzUgMTguMzMzNEgxMC42NjY3QzExLjYwMDEgMTguMzMzNCAxMi4wNjY4IDE4LjMzMzQgMTIuNDIzMyAxOC4xNTE3QzEyLjczNjkgMTcuOTkxOSAxMi45OTE5IDE3LjczNjkgMTMuMTUxNyAxNy40MjMzQzEzLjMzMzQgMTcuMDY2OCAxMy4zMzM0IDE2LjYwMDEgMTMuMzMzNCAxNS42NjY3VjkuMzMzMzVDMTMuMzMzNCA4LjM5OTkzIDEzLjMzMzQgNy45MzMyMiAxMy4xNTE3IDcuNTc2N0MxMi45OTE5IDcuMjYzMSAxMi43MzY5IDcuMDA4MTMgMTIuNDIzMyA2Ljg0ODM0QzEyLjA2NjggNi42NjY2OSAxMS42MDAxIDYuNjY2NjkgMTAuNjY2NyA2LjY2NjY5SDQuMzMzMzVDMy4zOTk5MyA2LjY2NjY5IDIuOTMzMjIgNi42NjY2OSAyLjU3NjcgNi44NDgzNEMyLjI2MzEgNy4wMDgxMyAyLjAwODEzIDcuMjYzMSAxLjg0ODM0IDcuNTc2N0MxLjY2NjY5IDcuOTMzMjIgMS42NjY2OSA4LjM5OTkzIDEuNjY2NjkgOS4zMzMzNVYxNS42NjY3QzEuNjY2NjkgMTYuNjAwMSAxLjY2NjY5IDE3LjA2NjggMS44NDgzNCAxNy40MjMzQzIuMDA4MTMgMTcuNzM2OSAyLjI2MzEgMTcuOTkxOSAyLjU3NjcgMTguMTUxN0MyLjkzMzIyIDE4LjMzMzQgMy4zOTk5MyAxOC4zMzM0IDQuMzMzMzUgMTguMzMzNFoiIHN0cm9rZT0id2hpdGUiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+Cjwvc3ZnPgo=");
}

.partner-button--promocode .partner-button__inside {
	width: 100%;
	align-items: flex-end;
	justify-content: space-between;
}

.partner-button--promocode .partner-button__label {
	color: var(--azure-radiance-200);
}

.partner-button--promocode .partner-button__text {
	text-decoration: dotted underline;
	text-underline-offset: 3px;
}

.partner-button--review {
	color: var(--whisper-950);
	background-color: var(--comet-100);
}

.partner-button--review:hover {
	background-color: var(--comet-200);
}

.partner-button--bonus {
	color: var(--azure-radiance-500);
	box-shadow: inset 0 0 0 1px var(--whisper-300);
}

.partner-button--bonus:hover {
	background-color: var(--whisper-100);
	box-shadow: inset 0 0 0 1px var(--azure-radiance-500);
}

.partner-button--outline {
	background: none;
	color: var(--azure-radiance-500);
	box-shadow: inset 0 0 0 1px var(--whisper-200);
}

.partner-button--outline:hover {
	box-shadow: inset 0 0 0 2px var(--azure-radiance-500);
}

.partner-button--linear {
	border: 0;
	color: #ffffff;
	background: linear-gradient(90deg, #FF9901 0%, #FF0000 100%);
}

.partner-button--linear:hover {
	background: #FF0000;
}

.partner-button--linear-text {
	border: 1px solid #EFEFEF;
	background: linear-gradient(90deg, #FF9901 0%, #FF0000 100%);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

.partner-button--linear-text:hover {
	background: #FF0000;
	border-color: #ff0000;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

.partner-button--pointer:before {
	content: "";
	display: block;
	width: 47px;
	height: 48px;
	position: absolute;
	bottom: -22px;
	right: 0;
	background-repeat: no-repeat;
	background-position: center;
	background-image: url("data:image/svg+xml,%3Csvg id='pointer' viewBox='0 0 47 48' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M38.0767 34.2031C40.1066 35.3087 39.5579 37.0817 38.4373 38.8114C36.8515 41.2578 30.9645 43.9099 28.3969 43.8615C26.0343 43.8067 24.3694 42.7144 24.4094 40.8617' fill='white'/%3E%3Cpath d='M38.0767 34.2031C40.1066 35.3087 39.5579 37.0817 38.4373 38.8114C36.8515 41.2578 30.9645 43.9099 28.3969 43.8615C26.0343 43.8067 24.3694 42.7144 24.4094 40.8617' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M5.49356 37.7074C5.63723 41.5822 12.6717 39.2383 14.6056 38.4205C16.9355 37.4486 23.5712 41.5329 27.9784 40.4819C30.9638 39.7664 36.8049 36.8046 37.9553 34.1615C39.9384 29.6562 39.783 25.3774 38.2418 20.8906C37.6945 19.3024 36.9556 17.5634 35.9696 16.3405C31.8424 11.2484 28.5492 13.1536 27.1566 13.6925C24.9832 11.6915 21.169 11.5339 17.8537 14.4375C16.0885 11.4466 15.1104 9.5396 13.7143 6.54843C11.3782 1.54236 3.90542 7.71252 8.48872 15.2632C10.7898 19.0536 16.1855 24.5521 16.9102 30.8918C10.3962 29.7242 5.21948 30.6595 5.49356 37.7074Z' fill='url(%23pointer_gradient)'/%3E%3Cpath d='M5.49356 37.7074C5.63723 41.5822 12.6717 39.2383 14.6056 38.4205C16.9355 37.4486 23.5712 41.5329 27.9784 40.4819C30.9638 39.7664 36.8049 36.8046 37.9553 34.1615C39.9384 29.6562 39.783 25.3774 38.2418 20.8906C37.6945 19.3024 36.9556 17.5634 35.9696 16.3405C31.8424 11.2484 28.5492 13.1536 27.1566 13.6925C24.9832 11.6915 21.169 11.5339 17.8537 14.4375C16.0885 11.4466 15.1104 9.5396 13.7143 6.54843C11.3782 1.54236 3.90542 7.71252 8.48872 15.2632C10.7898 19.0536 16.1855 24.5521 16.9102 30.8918C10.3962 29.7242 5.21948 30.6595 5.49356 37.7074Z' fill='white'/%3E%3Cpath d='M5.49356 37.7074C5.63723 41.5822 12.6717 39.2383 14.6056 38.4205C16.9355 37.4486 23.5712 41.5329 27.9784 40.4819C30.9638 39.7664 36.8049 36.8046 37.9553 34.1615C39.9384 29.6562 39.783 25.3774 38.2418 20.8906C37.6945 19.3024 36.9556 17.5634 35.9696 16.3405C31.8424 11.2484 28.5492 13.1536 27.1566 13.6925C24.9832 11.6915 21.169 11.5339 17.8537 14.4375C16.0885 11.4466 15.1104 9.5396 13.7143 6.54843C11.3782 1.54236 3.90542 7.71252 8.48872 15.2632C10.7898 19.0536 16.1855 24.5521 16.9102 30.8918C10.3962 29.7242 5.21948 30.6595 5.49356 37.7074Z' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M17.1789 14.5842C18.8461 17.4525 20.4662 19.4929 23.4157 20.7135C21.6619 19.2991 19.2999 15.7642 18.0169 13.4172L17.1789 14.5842Z' fill='black'/%3E%3Cpath d='M27.2863 12.9267L26.4606 13.9597C27.9013 15.2076 29.5157 16.6315 30.9069 17.0604C30.1839 16.5071 28.3884 14.0415 27.2863 12.9267Z' fill='black'/%3E%3Cpath d='M35.2572 33.2548C35.1367 29.852 34.7573 29.0629 34.4526 27.4467' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M32.5911 34.7193C31.5416 31.1062 30.7123 29.494 29.7939 27.1493' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M29.369 36.3932C28.315 34.0147 27.6071 33.0046 26.7921 31.5709' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cdefs%3E%3ClinearGradient id='pointer_gradient' x1='8.43642' y1='5.91427' x2='28.6545' y2='40.9323' gradientUnits='userSpaceOnUse'%3E%3Cstop stop-color='%23FFCF72'/%3E%3Cstop offset='1' stop-color='%23BB7B00'/%3E%3C/linearGradient%3E%3C/defs%3E%3C/svg%3E%0A");
	filter: drop-shadow(0px 3px 7px rgba(0, 0, 0, 0.57));
	z-index: 1;
}

.partner-button--download {
	background-color: var(--radical-red-500);
}

.partner-button--download::before {
	content: none;
}

.partner-button--download:hover {
	background-color: var(--radical-red-600);
}

.partner-button--blue {
	color: #fff;
	background-color: var(--azure-radiance-500);
}

.partner-button--blue:hover {
	background-color: var(--azure-radiance-600);
}

.partner-button--transparent {
	color: var(--whisper-700);
	background-color: #fff;
	box-shadow: inset 0 0 0 1px var(--whisper-300);
}

.partner-button--transparent:hover {
	box-shadow: inset 0 0 0 2px var(--azure-radiance-500);
}

.bonus-btn {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	position: relative;
	min-width: 150px;
	height: 30px;
	margin: 0 auto;
	padding: 0 0 0 5px;
	font-size: 16px;
	line-height: 20px;
	text-transform: uppercase;
	color: #ffffff;
	background-color: #00A3FF;
	border: 0;
	border-radius: 2px;
}

.bonus-btn_with-line::before {
	border-left: 1px dotted #000;
}

.bonus-btn:hover {
	background-color: #24B0FF;
	cursor: pointer;
}

.bonus-btn:before {
	order: 1;
	content: "";
	display: block;
	flex-shrink: 0;
	width: 30px;
	height: 100%;
	margin-left: 5px;
	background-position: center;
	background-repeat: no-repeat;
	background-size: 18px;
	background-image: url("data:image/svg+xml,%3Csvg id='copy' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M13.7895 1H3.68421C2.75789 1 2 1.73636 2 2.63636V14.0909H3.68421V2.63636H13.7895V1ZM12.9474 4.27273L18 9.18182V17.3636C18 18.2636 17.2421 19 16.3158 19H7.04421C6.11789 19 5.36842 18.2636 5.36842 17.3636L5.37684 5.90909C5.37684 5.00909 6.12632 4.27273 7.05263 4.27273H12.9474ZM12.1053 10H16.7368L12.1053 5.5V10Z' fill='%23ffffff' /%3E%3C/svg%3E%0A");
}

.bonus-btn:after {
	content: "";
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.bonus-btn__text {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100%;
	margin: 0 auto;
	text-decoration: underline;
	text-decoration-style: dashed;
	text-underline-position: under;
	text-decoration-color: rgba(255, 255, 255, 0.68);
	text-decoration-thickness: 1px;
}

.bonus-btn__text:after {
	content: "";
	flex-shrink: 0;
	display: block;
	position: absolute;
	top: 0;
	right: 0;
	width: 30px;
	height: 100%;
	margin-left: 5px;
	background-image: linear-gradient(#ffffff 33%, rgba(255, 255, 255, 0) 0%);
	background-position: left;
	background-size: 1px 3px;
	background-repeat: repeat-y;
}

.btn-respond {
	font-size: 16px;
	line-height: 20px;
	color: #999;
	padding: 8px 10px;
	border-radius: 4px;
	display: inline-block;
	border: 1px solid #34C759;
	text-decoration: none;
}

.btn-respond:hover {
	color: #34C759;
}

.button-related {
	font-size: 14px;
	line-height: 16px;
	padding: 10px 22px;
	border-radius: 4px;
	display: inline-block;
	background: #EFEFEF;
	color: #777;
}

.button-related_active {
	background: #FF0000;
	color: #fff;
}

.button-related:not(:last-child) {
	margin-right: 12px;
}

.page__title {
	margin-top: 0;
	font-weight: 500;
}

.page__subtitle {
	margin-bottom: 24px;
}

@media (min-width: 768px) {
	.button-related {
		padding: 6px 8px;
	}
}